public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/tempora/
Date: Sat, 11 Jan 2020 00:29:53 +0000 (UTC)	[thread overview]
Message-ID: <1578702582.7b64362388f687d575d1baac6a6d98e7a808003c.sbraz@gentoo> (raw)

commit:     7b64362388f687d575d1baac6a6d98e7a808003c
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 11 00:29:27 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Jan 11 00:29:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b643623

dev-python/tempora: bump to 2.1.0

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/tempora/Manifest             |  1 +
 dev-python/tempora/tempora-2.1.0.ebuild | 55 +++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/tempora/Manifest b/dev-python/tempora/Manifest
index 10728302ea7..a30bb40a0b2 100644
--- a/dev-python/tempora/Manifest
+++ b/dev-python/tempora/Manifest
@@ -2,3 +2,4 @@ DIST tempora-1.12.tar.gz 15208 BLAKE2B ced6e5d069780b516ff791ee598683f59d02588d4
 DIST tempora-1.14.1.tar.gz 19383 BLAKE2B f65896391e839c3da43bb42715459b9ab870a724722bfc83c129f18032e731d69b2d12635a519226ef4ce99e77a3418e7e1a05a116a80c222b4e8138f9966f9e SHA512 4ecd5430d4d90959b0985908a1e4f239a56ce0026cd315ef6b8c204b645caccb135db76bb2ca9cb95bc65bdf337b61e7c31514eb9c85036771469b6a058edfbb
 DIST tempora-1.7.tar.gz 11645 BLAKE2B d354fb863a8d30bd9e603ad942d7c7f61a70c24e7f1fe94fffd59982431190e2807c2dc577ff83eb90ffc5fd2b2f8415965de1d77e4dca0dd02291733bfbb97c SHA512 2420e32a9b8c990609d8f09225004e0b1c445cad1fe3c3c74625cb8317b552469acf2d3b28aa56633a87260a93c77d73b02178cb662016c514bc740aa01399e5
 DIST tempora-2.0.0.tar.gz 19828 BLAKE2B af06f7cfd6742c41fa08333da30bd2b6173affe4d368024122d0464856fa3e2264c85d34505cae023167b4266ed0e927a5a8d620101c02c352cf08b269c8c6b4 SHA512 9f488ecca0673a0071503475378bc8f5ddcfabb32fcc548392434df45767fbeb8b914117622ec6f9dc6a8de90e5bfe6e5571a9a18ddecf7c25e94fc1f7fff102
+DIST tempora-2.1.0.tar.gz 21329 BLAKE2B a157a6b9bcb21aac08693ec72e60d011c29d4e6320706186b8a656f096ce19140731e41ca0b7b8b98110a2eed8cee2bfce5ca303b3a7526bbfaec8aafaffff3d SHA512 f66ebf03d5c6d71f1316e3ac9b2c16a96eb622e553917f7e52fe8881cbd5f4651174130e70d2212cad78811859dfb4fe248e6f81a5bb6c928a0c43e9363d2c4e

diff --git a/dev-python/tempora/tempora-2.1.0.ebuild b/dev-python/tempora/tempora-2.1.0.ebuild
new file mode 100644
index 00000000000..b34ea9f5efc
--- /dev/null
+++ b/dev-python/tempora/tempora-2.1.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Objects and routines pertaining to date and time"
+HOMEPAGE="https://github.com/jaraco/tempora"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/jaraco-functools-1.20[${PYTHON_USEDEP}]
+	dev-python/pytz[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${RDEPEND}
+		>=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+		dev-python/backports-unittest-mock[${PYTHON_USEDEP}]
+		dev-python/freezegun[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_sphinx docs \
+	">=dev-python/jaraco-packaging-3.2" \
+	">=dev-python/rst-linker-1.9"
+
+python_prepare_all() {
+	# avoid a setuptools_scm dependency
+	sed -i "s:use_scm_version=True:version='${PV}',name='${PN//-/.}':" setup.py || die
+	sed -r -i "s:setuptools_scm[[:space:]]*([><=]{1,2}[[:space:]]*[0-9.a-zA-Z]+)[[:space:]]*::" \
+		setup.cfg || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	# Override pytest options to skip flake8
+	# Skip a test that requires pytest-freezegun
+	# because it seems to be poorly maintained
+	PYTHONPATH=. pytest -vv --override-ini="addopts=--doctest-modules" \
+		--deselect tempora/__init__.py::tempora.get_nearest_year_for_day \
+		|| die "tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2020-01-11  0:29 UTC|newest]

Thread overview: 138+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-01-11  0:29 Louis Sautier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-31  5:26 [gentoo-commits] repo/gentoo:master commit in: dev-python/tempora/ Michał Górny
2024-12-31  5:26 Michał Górny
2024-10-14 12:42 Michał Górny
2024-09-16  8:52 Louis Sautier
2024-08-10  6:28 Michał Górny
2024-08-10  6:28 Michał Górny
2024-07-26  1:57 Michał Górny
2024-07-12  6:56 Michał Górny
2024-07-06  7:40 Arthur Zamarin
2024-07-06  7:26 Arthur Zamarin
2024-07-06  6:59 Arthur Zamarin
2024-07-06  6:43 Arthur Zamarin
2024-07-06  6:39 Sam James
2024-07-06  6:39 Sam James
2024-07-06  6:14 Sam James
2024-07-05 18:41 Arthur Zamarin
2024-06-20 15:20 Michał Górny
2024-06-20  4:56 Michał Górny
2024-06-19  4:36 Michał Górny
2024-05-09 17:32 Michał Górny
2024-05-09 13:23 Michał Górny
2024-05-08 18:31 Michał Górny
2024-04-07 15:21 James Le Cuirot
2024-03-07 16:24 Michał Górny
2024-03-07 16:22 Michał Górny
2024-02-19 15:51 Michał Górny
2023-07-24 10:49 Michał Górny
2023-06-28  5:06 Michał Górny
2023-06-11  5:18 Michał Górny
2023-06-01 14:59 Michał Górny
2023-05-13 16:04 Michał Górny
2023-05-13 10:44 Arthur Zamarin
2023-04-11  3:14 Michał Górny
2023-02-16 20:28 Michał Górny
2023-02-16 17:22 Arthur Zamarin
2023-02-07  9:26 Michał Górny
2023-01-19  6:08 Michał Górny
2023-01-02 14:54 Michał Górny
2022-12-25 17:50 Michał Górny
2022-12-25 16:45 Sam James
2022-11-20  7:45 Michał Górny
2022-08-17 19:34 Arthur Zamarin
2022-08-17 18:48 Sam James
2022-07-14 18:34 Arthur Zamarin
2022-06-16 11:47 Michał Górny
2022-06-16  9:40 Jakov Smolić
2022-06-02  8:32 Michał Górny
2022-05-13 16:31 Arthur Zamarin
2022-05-13 16:31 Arthur Zamarin
2022-04-26  4:03 Sam James
2022-03-16  8:07 Michał Górny
2022-03-15 17:56 Jakov Smolić
2022-02-04 12:04 Michał Górny
2022-01-09  5:13 Michał Górny
2021-11-13  9:51 Michał Górny
2021-11-13  9:26 Arthur Zamarin
2021-10-08  6:21 Michał Górny
2021-07-28 23:38 Marek Szuba
2021-07-25  8:41 Michał Górny
2021-07-25  1:04 Sam James
2021-06-21  7:54 Michał Górny
2021-05-08  8:52 Michał Górny
2021-05-06 11:03 Michał Górny
2021-05-06  9:57 Sam James
2021-04-04 14:23 Michał Górny
2020-12-31  8:50 Michał Górny
2020-12-31  1:20 Sam James
2020-11-28 15:26 Sam James
2020-11-28 15:26 Sam James
2020-10-31  8:33 Michał Górny
2020-09-26  4:57 Matt Turner
2020-09-06 17:35 Sam James
2020-09-02  6:33 Sergei Trofimovich
2020-09-01  3:22 Sam James
2020-08-21 15:36 Agostino Sarubbo
2020-08-21 15:31 Agostino Sarubbo
2020-08-21 15:27 Agostino Sarubbo
2020-08-19  9:17 Sam James
2020-07-28 17:28 Sergei Trofimovich
2020-07-19 18:33 Michał Górny
2020-07-13 23:13 Sam James
2020-07-06 11:57 Michał Górny
2020-07-05 15:16 Michał Górny
2020-06-29 13:40 Agostino Sarubbo
2020-06-22 19:05 Mart Raudsepp
2020-06-10  8:11 Michał Górny
2020-05-27  7:16 Michał Górny
2020-05-16 11:25 Mikle Kolyada
2020-03-25 13:59 Michał Górny
2020-03-25 13:59 Michał Górny
2020-03-20 23:05 Louis Sautier
2020-03-20 23:05 Louis Sautier
2020-03-20 22:40 Louis Sautier
2020-03-20 22:40 Louis Sautier
2020-03-17  2:09 Matt Turner
2020-03-17  2:09 Matt Turner
2020-02-08 11:33 Sergei Trofimovich
2020-02-06  6:38 Michał Górny
2020-01-05 12:48 Sergei Trofimovich
2019-12-31 15:18 Louis Sautier
2019-12-31 15:18 Louis Sautier
2019-12-12  2:19 Georgy Yakovlev
2019-12-10 19:25 Sergei Trofimovich
2019-12-10 19:25 Sergei Trofimovich
2019-12-08 23:32 Sergei Trofimovich
2019-12-08 23:31 Sergei Trofimovich
2019-12-04 19:44 Sergei Trofimovich
2019-12-02 21:13 Aaron Bauman
2019-11-27 12:59 Mikle Kolyada
2019-11-25 12:35 Michał Górny
2019-11-25  8:12 Patrick McLean
2019-11-22  0:20 Patrick McLean
2019-04-17 18:07 Aaron Bauman
2019-04-12 10:10 Louis Sautier
2019-04-12 10:10 Louis Sautier
2018-11-03 15:41 Louis Sautier
2018-11-03 15:41 Louis Sautier
2018-08-19 21:51 Louis Sautier
2018-07-25 21:10 Louis Sautier
2018-07-25 20:51 Louis Sautier
2018-07-04 20:29 Louis Sautier
2018-07-04 20:29 Louis Sautier
2018-06-26 14:18 Louis Sautier
2018-06-26 14:18 Louis Sautier
2018-06-18 10:34 Louis Sautier
2018-06-03  2:13 Aaron Bauman
2018-06-03  2:13 Aaron Bauman
2018-03-07 19:47 Markus Meier
2018-01-24 23:12 Sergei Trofimovich
2017-09-22 13:56 Patrice Clement
2017-06-17 17:24 Agostino Sarubbo
2017-06-17 15:36 Agostino Sarubbo
2017-06-11  7:02 Michael Palimaka
2017-06-11  7:02 Michael Palimaka
2016-09-27 10:17 Patrice Clement
2015-12-30 12:51 Ian Delaney
2015-12-29 13:58 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1578702582.7b64362388f687d575d1baac6a6d98e7a808003c.sbraz@gentoo \
    --to=sbraz@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox